GrailsConsoleAntBuilder (Grails 3.3.10)
Date: 2019-05-20

Package: org.grails.build.logging

## [Java] Class GrailsConsoleAntBuilder

- org.grails.build.logging.GrailsConsoleAntBuilder

- Silences ant builder output.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConsoleAntBuilder (org.apache.tools.ant.Project project)`
    `GrailsConsoleAntBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addGrailsConsoleBuildListener(org.apache.tools.ant.Project project)`
    `` | `protected static org.apache.tools.ant.Project` | `createAntProject()` @return Factory method to create new Project instances

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.util.AntBuilder` | `groovy.util.AntBuilder#getProject(), groovy.util.AntBuilder#getAntXmlContext(), groovy.util.AntBuilder#isSaveStreams(), groovy.util.AntBuilder#setSaveStreams(boolean), groovy.util.AntBuilder#getAntProject(), groovy.util.AntBuilder#invokeMethod(java.lang.String, java.lang.Object), groovy.util.AntBuilder#invokeMethod(java.lang.String), groovy.util.AntBuilder#getMetaClass(), groovy.util.AntBuilder#setMetaClass(groovy.lang.MetaClass), groovy.util.AntBuilder#setProperty(java.lang.String, java.lang.Object), groovy.util.AntBuilder#getProperty(java.lang.String), groovy.util.AntBuilder#wait(long, int), groovy.util.AntBuilder#wait(long), groovy.util.AntBuilder#wait(), groovy.util.AntBuilder#equals(java.lang.Object), groovy.util.AntBuilder#toString(), groovy.util.AntBuilder#hashCode(), groovy.util.AntBuilder#getClass(), groovy.util.AntBuilder#notify(), groovy.util.AntBuilder#notifyAll()`
    `class groovy.util.BuilderSupport` | `groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsConsoleAntBuilder(org.apache.tools.ant.Project project)

    - #### public GrailsConsoleAntBuilder()

  - ### Method Detail

    - #### public static void addGrailsConsoleBuildListener(org.apache.tools.ant.Project project)

    - #### @java.lang.SuppressWarnings("unchecked") protected static org.apache.tools.ant.Project createAntProject()

      Returns:
        Factory method to create new Project instances